package com.zm.order.tool.server.enums;

/**
 * 订单评价级别枚举
 *
 * <p>
 *      0:订单级别评价 数据不保存至ES
 *      1:商品级别评价 数据同步ES，支持复杂条件搜索
 *
 *      commentLevel (必传) (异常抛出):上游系统传递，评价消息处理器中，策略模式路由关键性字段
 * </p>
 *
 * @author nianchang
 * @date 2022/07/04 3:10 下午
 */
public enum CommentLevelEnum {

    /**
     * 订单级别评价
     */
    ORDER_LEVEL(0, "订单级"),

    /**
     * 商品级别评价
     */
    ITEM_LEVEL(1, "商品级"),

    ;

    private final Integer type;

    private final String desc;

    CommentLevelEnum(final Integer type, final String desc) {
        this.type = type;
        this.desc = desc;
    }

    public Integer getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }
}
